Bug 114758 - Kernel/grub not updated when root not defined
Kernel/grub not updated when root not defined
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: mkinitrd (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-02 09:47 EST by Sammy
Modified: 2007-04-18 13:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-10 11:31:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
grub.conf file (20 bytes, text/plain)
2004-02-03 09:47 EST, Sammy
no flags Details

  None (edit)
Description Sammy 2004-02-02 09:47:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.1; Linux; X11; , en_US, en)

Description of problem:
Kernel rpms give a fatal grub error when  the previous grub.conf
does not contain a root () statement for the already installed
kernel(s). For example:

title Fedora Core (2.6.1-20smp)
        kernel (hd0,2)/vmlinuz-2.6.1-20smp ro root=/dev/sda5
        initrd (hd0,2)/initrd-2.6.1-20smp.img

If this is a grub bug please reassign. Thanks.


Version-Release number of selected component (if applicable):
2.6.1-1.65

How reproducible:
Always

Steps to Reproduce:
1.Have a working grub.conf without the root statement
2.Install/upgrade the kernel rpm
3.Check grub.conf
    

Actual Results:  Should duplicate whatever is already in grub.conf

Additional info:
Comment 1 Jeremy Katz 2004-02-02 18:41:12 EST
Can you attach your complete grub.conf?
Comment 2 Sammy 2004-02-03 09:47:54 EST
Created attachment 97434 [details]
grub.conf file
Comment 3 Sammy 2004-02-03 10:41:06 EST
Sorry about this but, please remove the line 
 
root (hd0,2) 
 
and put (hd0,2) in front of /vmlinuz and /initrd. 
 
I had this problem on another computer! 
 
Thanks 
Comment 4 Jeremy Katz 2004-02-03 13:29:30 EST
This just attached the filename and not the actual file (somehow...)

Comment 5 Sammy 2004-02-03 14:02:27 EST
 
# cat grub.conf 
# grub.conf generated by anaconda 
# 
# Note that you do not have to rerun grub after making changes to this file 
# NOTICE:  You have a /boot partition.  This means that 
#          all kernel and initrd paths are relative to /boot/, eg. 
#          root (hd0,2) 
#          kernel /vmlinuz-version ro root=/dev/sda5 
#          initrd /initrd-version.img 
#boot=/dev/sda3 
default=0 
timeout=10 
splashimage=(hd0,2)/grub/splash.xpm.gz 
title Fedora Core (2.6.1-23smp) 
        kernel (hd0,2)/vmlinuz-2.6.1-23smp ro root=/dev/sda5 
        initrd (hd0,2)/initrd-2.6.1-23smp.img 
# 
Comment 6 Jeremy Katz 2004-08-04 15:45:00 EDT
Should be fixed in mkinitrd-4.0.2
Comment 7 David Lawrence 2006-04-10 11:31:28 EDT
Closing due to inactivity. Please feel free to reopen this bug or refile this
bug against the latest release Fedora Core if you feel this bug is still
relevant today.

Thank you

Note You need to log in before you can comment on or make changes to this bug.